export default  function Modal(options) {
    if(Object.prototype.toString.call(options) !== "[object Object]") return
    if(!options.content) {
        return uni.showToast({
           title: 'content不能为空',
           icon: "none"
        })
    }
	uni.showModal({
		title: options.title || '提示',
		content: options.content,
		showCancel: options.showCancel || true,
		cancelText: options.cancelText || '取消',
		cancelColor: options.cancelColor || '#000000',
		confirmText: options.confirmText || '确定',
		confirmColor: '#FF661A',
		success: res => {
			if(res.confirm) {
				options.cb && typeof options.cb === 'function' && options.cb()
			}
		}
	})
}